Subject: Re: bug#36779: 25.1; mouse click not recognized for frames with large left position

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Jul 2019 17:45:52 +0300

> From: Eijiro Sumii <[email-masked]>
> Date: Tue, 30 Jul 2019 21:01:00 +0900
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], 
> 	Eijiro Sumii <[email-masked]>
> 
> - The problem occurs only when the right display is added after the X
> server (and its first X client - mlterm in my case) started.
> 
> >  > I haven't yet pursued further executions (I need to sit in front of the
> >  > second, 60-inch 4K display for this!), but will do (so, advice is welcome!).
> >
> > The subsequent code is among the most convoluted ones Emacs has,
> > sprinkled with USE_GTK, USE_X_TOOLKIT and USE_TOOLKIT_SCROLL_BARS
> > defines, so you have all my sympathy.  But maybe stepping into
> > x_window_to_frame already exhibits that the latter is not able to find
> > a suitable frame ...
> 
> The code is fine, but I just cannot carry the 60-inch monitor with me
> to other places (lecture halls, meeting rooms, cafe, home, etc.) and
> have to find time:-) to sit in my office to investigate this (but I
> will continue to look into what's happening)!:-)

Could all this be somehow related to the GTK HiDPI thing, perhaps?